<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="General String Functions"/>
	<xsl:import href="Stat Functions"/>
	<xsl:import href="Description Functions"/>
	<xsl:import href="Header"/>
	<xsl:import href="Ability"/>
	<xsl:import href="Skills"/>
	<xsl:import href="Combat"/>
	<xsl:import href="Equipment"/>
	<xsl:import href="Spellbook"/>
	<xsl:import href="Follower"/>
	<xsl:import href="Notes"/>
	<xsl:import href="Psionics"/>
	<xsl:import href="Class Abilities"/>
	<xsl:output method="html" indent="no" encoding="UTF-8"/>
	<xsl:template match="/character">
		<html>
			<head></head>
			<title>Character: 
				<xsl:value-of select="/character/name"/>
			</title>
			<style><![CDATA[
					<!--
						div.description
						{
						font-family: Times New Roman, Times Roman, serif;
						font-size: 9pt;
						}
						div.description p
						{
						text-indent: 12pt;
						margin: 6pt 8pt
						}
						div.description table
						{
						text-indent: 0pt;
						margin: 6pt 14pt
						}
						div.description td
						{
						font-family: Times New Roman, Times Roman, serif;
						font-size: 9pt;
						text-indent: 0pt;
						padding: 0pt 6pt
						}
						div.description ul
						{
						position: relative;
						top: 0pt;
						left: -10pt;
						margin-top: 0pt
						}
						.v4 {
						font-family: Verdana;
						font-size:4pt;
						}
						.v5 {
						font-family: Verdana;
						font-size:5pt;
						}
						.v6 {
						font-family: Verdana;
						font-size:6pt;
						}
						.v7 {
						font-family: Verdana;
						font-size:7pt;
						}
						.v8 {
						font-family: Verdana;
						font-size:8pt;
						}
						.v9 {
						font-family: Verdana;
						font-size:9pt;
						}
						.v10 {
						font-family: Verdana;
						font-size:10pt;
						}
						.v6w {
						font-family: Verdana;
						font-size:6pt;
						color:white
						}
						.v8w {
						font-family: Verdana;
						font-size:8pt;
						color:white
						}
						.v9w {
						font-family: Verdana;
						font-size:9pt;
						color:white
						}
						.v10w {
						font-family: Verdana;
						font-size:10pt;
						color:white
						}
						.checkbox {
						font-family: Wingdings;
						font-size:10pt;
						color:black
						}
					-->
				]]></style>
			<body>
				<xsl:attribute name="bgcolor">white</xsl:attribute>
				<xsl:call-template name="char-info"/>
				<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
					<tr>
						<td width="15%"></td>
						<td width="15%"></td>
						<td width="15%"></td>
						<td width="10%"></td>
						<td width="15%"></td>
						<td width="15%"></td>
						<td width="15%"></td>
					</tr>
					<tr>
						<td rowspan="2" colspan="2" valign="top">
							<xsl:apply-templates select="abilities"/>
						</td>
						<td colspan="5" valign="top">
							<table border="0" width="100%">
								<xsl:apply-templates select="hit-points"/>
								<span class="v4">
									<br/>
								</span>
								<xsl:apply-templates select="armor-class"/>
							</table>
						</td>
					</tr>
					<tr>
						<td align="right" valign="top">
							<span class="v4">
								<br/>
							</span>
							<xsl:apply-templates select="initiative"/>
							<xsl:apply-templates select="attacks" mode="base"/>
						</td>
						<td colspan="4" valign="top">
							<xsl:apply-templates select="saving-throws"/>
						</td>
					</tr>
					<tr>
						<td colspan="4" valign="top">
							<xsl:apply-templates select="attacks"/>
							<span class="v4">
								<br/>
							</span>
							<xsl:apply-templates select="equiped-items/weapons"/>
							<xsl:apply-templates select="equiped-items/armor"/>
							<xsl:apply-templates select="equiped-items/shield"/>
						</td>
						<td colspan="3" valign="top">
							<br/>
							<xsl:apply-templates select="skills"/>
						</td>
					</tr>
				</table>
				<br style="page-break-after: always"/>
				<table border="0" cellpadding="2" cellspacing="0" width="100%" bgcolor="white">
					<tr>
						<td width="30%"></td>
						<td width="4%"></td>
						<td width="8%"></td>
						<td width="7%"></td>
						<td width="30%"></td>
						<td width="4%"></td>
						<td width="8%"></td>
						<td width="7%"></td>
					</tr>
					<tr>
						<td align="center" colspan="8" bgcolor="black" class="v9w">
							<b>EQUIPMENT</b>
						</td>
					</tr>
					<tr>
						<td align="center" style="border-left: 2px solid black; border-bottom: 1px solid black" class="v8">
ITEM
						</td>
						<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black" class="v8">
QTY
						</td>
						<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black" class="v8">
COST (ea.)
						</td>
						<td align="center" style="border-right: 1px solid black; border-left: 1px solid black; border-bottom: 1px solid black" class="v8">
WT. (lbs)
						</td>
						<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black" class="v8">
ITEM
						</td>
						<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black" class="v8">
QTY
						</td>
						<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black" class="v8">
COST (ea.)
						</td>
						<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black" class="v8">
WT. (lbs)
						</td>
					</tr>
					<xsl:call-template name="empty-or-item"/>
					<tr>
						<td colspan="3">
							<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
								<tr>
									<td width="16%"></td>
									<td width="16%"></td>
									<td width="16%"></td>
								</tr>
								<tr>
									<td align="center" style="border: 1px solid black" class="v8">
										<xsl:value-of select="load/light"/> lbs.
									</td>
									<td align="center" style="border: 1px solid black" class="v8">
										<xsl:value-of select="load/medium"/> lbs.
									</td>
									<td align="center" style="border: 1px solid black" class="v8">
										<xsl:value-of select="load/heavy"/> lbs.
									</td>
								</tr>
								<tr>
									<td align="center" class="v6">
										<b>LIGHT LOAD</b>
									</td>
									<td align="center" class="v6">
										<b>MEDIUM LOAD</b>
									</td>
									<td align="center" class="v6">
										<b>HEAVY LOAD</b>
									</td>
								</tr>
							</table>
						</td>
						<td colspan="4" align="right" class="v8">
										TOTAL WEIGHT CARRIED
						</td>
						<td align="center" style="border: 2px solid black" class="v8">
							<xsl:variable name="wt" select="format-number(load/carried, '##0.00')"/>
							<xsl:value-of select="$wt"/>
							<xsl:choose>
								<xsl:when test="$wt != 1">
									<xsl:text> lbs.</xsl:text>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text> lb.</xsl:text>
								</xsl:otherwise>
							</xsl:choose>
							<br/>
						</td>
					</tr>
				</table>
				<br/>
				<table border="0" cellpadding="3" cellspacing="0" width="100%" bgcolor="white">
					<tr>
						<td align="center" colspan="4" bgcolor="black" class="v8w">
							<b>MONEY</b>
						</td>
					</tr>
					<tr>
						<td width="25%"></td>
						<td width="25%"></td>
						<td width="25%"></td>
						<td width="25%"></td>
					</tr>
					<tr>
						<td style="border-left: 1px solid black; border-bottom: 1px solid black" class="v7">
							<b>
								<xsl:text> CP - </xsl:text>
							</b>
							<xsl:value-of select="currency/cp"/>
							<br/>
						</td>
						<td style="border-left: 1px solid black; border-bottom: 1px solid black" class="v7">
							<b>
								<xsl:text> SP - </xsl:text>
							</b>
							<xsl:value-of select="currency/sp"/>
							<br/>
						</td>
						<td style="border-left: 1px solid black; border-bottom: 1px solid black" class="v7">
							<b>
								<xsl:text> GP - </xsl:text>
							</b>
							<xsl:value-of select="currency/gp"/>
							<br/>
						</td>
						<td style="border-left: 1px solid black; border-bottom: 1px solid black; border-right: 1px solid black" class="v7">
							<b>
								<xsl:text> PP - </xsl:text>
							</b>
							<xsl:value-of select="currency/pp"/>
							<br/>
						</td>
					</tr>
					<tr>
						<td colspan="4" style="border-left: 1px solid black; border-bottom: 1px solid black; border-right: 1px solid black" class="v7">
							<b>
								<xsl:text> Misc - </xsl:text>
							</b>
						</td>
					</tr>
				</table>
				<table border="0" cellpadding="0" cellspacing="4" width="100%" bgcolor="white">
					<tr>
						<td width="50%"></td>
						<td width="25%"></td>
						<td width="25%"></td>
					</tr>
					<tr>
						<td valign="top" class="v4">
							<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
								<tr>
									<td align="center" bgcolor="black" class="v8w">
										<b>LANGUAGES</b>
									</td>
								</tr>
								<tr>
									<td style="border: 1px solid black" class="v7">
										<xsl:for-each select="languages/language">
											<xsl:value-of select="."/>
											<xsl:if test="position()!=last()">, </xsl:if>
										</xsl:for-each>
									</td>
								</tr>
							</table>
							<br/>
							<xsl:apply-templates select="equiped-items/protective-item"/>
							<xsl:call-template name="follower"/>
							<xsl:variable name="turnsperday" select="//character/variables/variable[name='TurnRebukePerDay']/value"/>
							<xsl:if test="$turnsperday != 0">
								<br/>
								<xsl:call-template name="turning">
									<xsl:with-param name="turnsperday" select="$turnsperday"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:variable name="bardicmusicperday" select="//character/variables/variable[name='BardicMusicPerDay']/value"/>
							<xsl:if test="$bardicmusicperday != 0">
								<br/>
								<xsl:call-template name="bardicmusic">
									<xsl:with-param name="bardicmusicperday" select="$bardicmusicperday"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:variable name="rageperday" select="//character/variables/variable[name='RagePerDay']/value"/>
							<xsl:if test="$rageperday != 0">
								<br/>
								<xsl:call-template name="raging">
									<xsl:with-param name="rageperday" select="$rageperday"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:variable name="wildshapeperday" select="//character/variables/variable[name='WildShapePerDay']/value"/>
							<xsl:if test="$wildshapeperday != 0">
								<br/>
								<xsl:call-template name="wildshape">
									<xsl:with-param name="wildshapeperday" select="$wildshapeperday"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="//character/classes/class[name = 'Monk']">
								<br/>
								<xsl:call-template name="stunningattack">
									<xsl:with-param name="stunningattackperday" select="//character/classes/class[name = 'Monk']/level"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="//character/classes/class[name = 'Monk']/level &gt; 6">
								<br/>
								<xsl:call-template name="wholenessofbody">
									<xsl:with-param name="wholenessofbodyperday" select="//character/classes/class[name = 'Monk']/level * 2"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:variable name="layonhandsperday" select="//character/variables/variable[name='LayOnHands']/value"/>
							<xsl:if test="$layonhandsperday != 0">
								<br/>
								<xsl:call-template name="layonhands">
									<xsl:with-param name="layonhandsperday" select="$layonhandsperday"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:variable name="smiteevilperday" select="//character/variables/variable[name='SmiteEvilPerDay']/value"/>
							<xsl:if test="$smiteevilperday != 0">
								<br/>
								<xsl:call-template name="smiteevil">
									<xsl:with-param name="smiteevilperday" select="$smiteevilperday"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:variable name="removediseaseperweek" select="//character/variables/variable[name='RemoveDiseasePerWeek']/value"/>
							<xsl:if test="$removediseaseperweek != 0">
								<br/>
								<xsl:call-template name="removedisease">
									<xsl:with-param name="removediseaseperweek" select="$removediseaseperweek"/>
								</xsl:call-template>
							</xsl:if>
						</td>
						<td valign="top">
							<xsl:if test="features/feats/feat">
								<table border="0" cellpadding="3" cellspacing="0" width="100%" bgcolor="white">
									<tr>
										<td align="center" bgcolor="black" class="v8w">
											<b>FEATS</b>
										</td>
									</tr>
									<xsl:for-each select="features/feats/feat">
										<xsl:variable name="feat">
											<xsl:choose>
												<xsl:when test="name = 'Armor Proficiency: heavy' and count(/character/features/class-features/class-feature[feature = 'Heavy armor proficiency'])">
													<xsl:value-of select="''"/>
												</xsl:when>
												<xsl:when test="name = 'Armor Proficiency: medium' and count(/character/features/class-features/class-feature[feature = 'Medium armor proficiency'])">
													<xsl:value-of select="''"/>
												</xsl:when>
												<xsl:when test="name = 'Armor Proficiency: light' and count(/character/features/class-features/class-feature[feature = 'Light armor proficiency'])">
													<xsl:value-of select="''"/>
												</xsl:when>
												<xsl:when test="name = 'Shield Proficiency' and count(/character/features/class-features/class-feature[feature = 'Shield proficiency'])">
													<xsl:value-of select="''"/>
												</xsl:when>
												<xsl:when test="name = 'Simple Weapon Proficiency' and count(/character/features/class-features/class-feature[feature = 'Simple weapon proficiency'])">
													<xsl:value-of select="''"/>
												</xsl:when>
												<xsl:when test="starts-with(name, 'Martial Weapon Proficiency') and count(/character/features/class-features/class-feature[feature = 'Martial weapon proficiency: all'])">
													<xsl:value-of select="''"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="name"/>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:variable>
										<xsl:choose>
											<xsl:when test="position() = 1 and $feat = ''"></xsl:when>
											<xsl:when test="position() = 1 and $feat != ''">
												<tr>
													<td style="border-left: 1px solid black; border-right: 1px solid black; border-top: 1px solid black" class="v8">
														<span style="margin-left:1ex">
															<xsl:value-of select="$feat"/>
														</span>
													</td>
												</tr>
											</xsl:when>
											<xsl:when test="position() = last() and $feat = ''">
												<tr>
													<td style="border-top: 1px solid black">
														<br/>
													</td>
												</tr>
											</xsl:when>
											<xsl:when test="position() = last() and $feat != ''">
												<tr>
													<td style="border-left: 1px solid black; border-right: 1px solid black; border-top: 1px solid black; border-bottom: 1px solid black" class="v8">
														<span style="margin-left:1ex">
															<xsl:value-of select="$feat"/>
														</span>
													</td>
												</tr>
											</xsl:when>
											<xsl:when test="$feat = '' and position() != 1 and position() != last()"></xsl:when>
											<xsl:otherwise>
												<tr>
													<td style="border-left: 1px solid black; border-right: 1px solid black; border-top: 1px solid black" class="v8">
														<span style="margin-left:1ex">
															<xsl:value-of select="$feat"/>
														</span>
													</td>
												</tr>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:for-each>
								</table>
							</xsl:if>
						</td>
						<td valign="top">
							<table border="0" cellpadding="3" cellspacing="0" width="100%" bgcolor="white">
								<tr>
									<td align="center" bgcolor="black" class="v8w">
										<b>SPECIAL ABILITIES</b>
									</td>
								</tr>
								<xsl:variable name="racefeatures" select="count(/character/features/race-features/race-feature)"/>
								<xsl:if test="$racefeatures &gt; 0">
									<tr>
										<td style="border-left: 1px solid black; border-right: 1pt solid black; border-bottom: 1pt solid black" align="center" bgcolor="#DDDDDD" class="v7">
											<b>
												<xsl:value-of select="/character/race"/> Racial Features
											</b>
										</td>
									</tr>
									<xsl:for-each select="features/race-features/race-feature">
										<xsl:sort select="." order="ascending"/>
										<tr>
											<td style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black" class="v7">
												<xsl:variable name="feature" select="."/>
												<xsl:choose>
													<xsl:when test="starts-with($feature, 'SR = ')">
														<xsl:text>Spell Resistance (Ex): </xsl:text>
														<xsl:variable name="hold" select="substring-after($feature, 'SR = ')"/>
														<xsl:variable name="basesr" select="substring-before($hold, ' + ')"/>
														<xsl:value-of select="$basesr + //character/classes/unadjusted"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="."/>
													</xsl:otherwise>
												</xsl:choose>
												<br/>
											</td>
										</tr>
									</xsl:for-each>
								</xsl:if>
								<xsl:variable name="specattk" select="count(features/special-attacks/special-attack)"/>
								<xsl:if test="$specattk &gt; 0">
									<tr>
										<td style="border-left: 1px solid black; border-right: 1pt solid black; border-bottom: 1pt solid black" align="center" bgcolor="#DDDDDD" class="v7">
											<b>Special Attacks</b>
										</td>
									</tr>
									<xsl:for-each select="features/special-attacks/special-attack">
										<xsl:sort select="." order="ascending"/>
										<tr>
											<td style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black" class="v7">
												<xsl:choose>
													<xsl:when test="name = 'Spell-like abilities' or name='Psionics (Sp)'">
														<xsl:value-of select="name"/>
														<xsl:text>:</xsl:text>
														<br/>
														<xsl:for-each select="spell">
															<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>
															<b>
																<xsl:value-of select="name"/>
															</b>
															<xsl:text> ~ CL </xsl:text>
															<xsl:value-of select="caster-level"/>
															<xsl:text> ~ </xsl:text>
															<xsl:value-of select="times-per-day"/>
															<xsl:choose>
																<xsl:when test="times-per-day = 'At Will'">
																	<xsl:text>At Will</xsl:text>
																</xsl:when>
																<xsl:otherwise>
																	<xsl:text>/day</xsl:text>
																</xsl:otherwise>
															</xsl:choose>
															<xsl:if test="position() != last()">
																<br/>
															</xsl:if>
														</xsl:for-each>
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="."/>
													</xsl:otherwise>
												</xsl:choose>
											</td>
										</tr>
									</xsl:for-each>
								</xsl:if>
								<xsl:variable name="specqual" select="count(features/special-qualities/special-quality)"/>
								<xsl:if test="$specqual &gt; 0">
									<tr>
										<td style="border-left: 1px solid black; border-right: 1pt solid black; border-bottom: 1pt solid black" align="center" bgcolor="#DDDDDD" class="v7">
											<b>Special Qualities</b>
										</td>
									</tr>
									<xsl:for-each select="features/special-qualities/special-quality">
										<xsl:sort select="." order="ascending"/>
										<tr>
											<td style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black" class="v7">
												<xsl:variable name="quality" select="."/>
												<xsl:choose>
													<xsl:when test="starts-with($quality, 'Spell Resistance')">
														<xsl:text>Spell Resistance (Ex): </xsl:text>
														<xsl:variable name="hold" select="substring-after($quality, '(Ex): ')"/>
														<xsl:variable name="basesr" select="substring-before($hold, ' + ')"/>
														<xsl:value-of select="$basesr + //character/classes/unadjusted"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="."/>
													</xsl:otherwise>
												</xsl:choose>
												<br/>
											</td>
										</tr>
									</xsl:for-each>
								</xsl:if>
								<xsl:variable name="classfeatures" select="count(/character/features/class-features/class-feature)"/>
								<xsl:if test="$classfeatures &gt; 0">
									<xsl:for-each select="features/class-features">
										<xsl:for-each select="class-feature">
											<tr>
												<td style="border-left: 1px solid black; border-right: 1pt solid black; border-bottom: 1pt solid black" align="center" bgcolor="#DDDDDD" class="v7">
													<b>
														<xsl:value-of select="name"/> Class Features
													</b>
													<br/>
												</td>
											</tr>
											<xsl:for-each select="feature">
												<xsl:sort select="." order="ascending"/>
												<xsl:variable name="feature" select="."/>
												<xsl:choose>
													<xsl:when test="contains($feature, 'Favored Enemies')"></xsl:when>
													<xsl:when test="contains($feature, 'Turn or rebuke undead') or contains($feature, 'Turn undead')">
														<tr>
															<td style="border-left: 1px solid black; border-right: 1pt solid black; border-bottom: 1pt solid black" class="v7">
																<xsl:value-of select="substring-before(., ' (')"/>
																<xsl:text> (</xsl:text>
																<xsl:value-of select="substring-after(//character/abilities/ability[name = 'Charisma']/modifier, '+') + //character/variables/variable[name = 'TurnRebukePerDay']/value"/>
																<xsl:text>/day)</xsl:text>
																<br/>
															</td>
														</tr>
													</xsl:when>
													<xsl:when test="contains($feature, 'Bardic Knowledge')">
														<tr>
															<td style="border-left: 1px solid black; border-right: 1pt solid black; border-bottom: 1pt solid black" class="v7">
																<xsl:value-of select="substring-before(., ' (')"/>
																<xsl:text> (+</xsl:text>
																<xsl:value-of select="substring-after(//character/abilities/ability[name = 'Intelligence']/modifier, '+') + //character/classes/class[name = 'Bard']/level"/>
																<xsl:text>)</xsl:text>
																<br/>
															</td>
														</tr>
													</xsl:when>
													<xsl:when test="contains($feature, 'Wild Empathy')">
														<tr>
															<td style="border-left: 1px solid black; border-right: 1pt solid black; border-bottom: 1pt solid black" class="v7">
																<xsl:value-of select="substring-before(., ' (')"/>
																<xsl:text> (</xsl:text>
																<xsl:value-of select="substring-after(//character/abilities/ability[name = 'Charisma']/modifier, '+') + //character/classes/class[name = 'Druid']/level"/>
																<xsl:text>)</xsl:text>
																<br/>
															</td>
														</tr>
													</xsl:when>
													<xsl:when test="contains($feature, 'Lay on Hands')">
														<tr>
															<td style="border-left: 1px solid black; border-right: 1pt solid black; border-bottom: 1pt solid black" class="v7">
																<xsl:value-of select="substring-before(., ' (')"/>
																<xsl:text> (</xsl:text>
																<xsl:value-of select="substring-after(//character/abilities/ability[name = 'Charisma']/modifier, '+') * //character/variables/variable[name = 'LayOnHands']/value"/>
																<xsl:text>)</xsl:text>
																<br/>
															</td>
														</tr>
													</xsl:when>
													<xsl:otherwise>
														<tr>
															<td style="border-left: 1px solid black; border-right: 1pt solid black; border-bottom: 1pt solid black" class="v7">
																<xsl:text>  </xsl:text>
																<xsl:value-of select="."/>
																<br/>
															</td>
														</tr>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:for-each>
										</xsl:for-each>
									</xsl:for-each>
								</xsl:if>
								<xsl:for-each select="deity/domain">
									<xsl:if test="position() = 1">
										<tr>
											<td style="border-left: 1px solid black; border-right: 1pt solid black; border-bottom: 1pt solid black" align="center" bgcolor="#DDDDDD" class="v7">
												<b>Domain Powers</b>
												<br/>
											</td>
										</tr>
									</xsl:if>
									<tr>
										<td style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black" class="v7">
											<b>
												<xsl:value-of select="name"/>: 
											</b>
											<xsl:value-of select="special-power"/>
											<br/>
										</td>
									</tr>
								</xsl:for-each>
							</table>
							<br />
						</td>
					</tr>
				</table>
				<xsl:call-template name="psioniccombat"/>
				<xsl:call-template name="spellbook"/>
				<xsl:call-template name="notes"/>
				<br style="page-break-after: always"/>
				<xsl:text>Sources loaded for the creation of </xsl:text>
				<b>
					<xsl:value-of select="/character/name"/>
					<xsl:text>: </xsl:text>
					<br/>
				</b>
				<xsl:for-each select="/character/options/loaded-sources/name">
					<xsl:value-of select="."/>
					<br/>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>