<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="Animal"/>
<xsl:import href="CharStats"/>
<xsl:import href="Skills"/>
<xsl:import href="EquippedItems"/>
<xsl:import href="Spellbook"/>

<xsl:output method="html" indent="no" encoding="UTF-8"/>

<xsl:template match="/character">
	<body bgcolor="white"/>

	<xsl:call-template name="basic-info"/>


	<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
	<tr>
		<td width="15%"></td>
		<td width="15%"></td>
		<td width="15%"></td>

		<td width="10%"></td>

		<td width="15%"></td>
		<td width="15%"></td>
		<td width="15%"></td>
	</tr>
	<tr>
		<td rowspan="2" colspan="2" valign="top">
			<xsl:apply-templates select="abilities"/><br/>
		</td>
		<td colspan="5" valign="top">
			<table>
				<xsl:apply-templates select="hit-points"/>
				<xsl:apply-templates select="armor-class"/>
			</table>
		</td>
	</tr>
	<tr>
		<td colspan="2" valign="top">
			<xsl:apply-templates select="initiative"/>
			<xsl:apply-templates select="attacks/base"/>
		</td>

		<td colspan="3" rowspan="7" valign="top">
			<xsl:apply-templates select="skills"/>
		</td>
	</tr>
	<tr>
		<td colspan="4" valign="top">
			<xsl:apply-templates select="saving-throws"/>

			<xsl:apply-templates select="attacks"/><br/>

			<xsl:apply-templates select="equiped-items/weapons"/>
			<xsl:apply-templates select="equiped-items/armor"/>
			<xsl:apply-templates select="equiped-items/shield"/>

		</td>
	</tr>
	</table>

	<xsl:call-template name="page-header">
		<xsl:with-param name="heading">PROTECTIVE ITEMS</xsl:with-param>
	</xsl:call-template>

	<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
	<tr>
		<td>
			<xsl:apply-templates select="equiped-items/protective-item"/>
		</td>		
	</tr>

	</table>

	<br style="page-break-after: always"/>

	<xsl:call-template name="page-header">
		<xsl:with-param name="heading">EQUIPMENT/ABILITIES/FEATS</xsl:with-param>
	</xsl:call-template>

	<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
	<tr>
		<td width="64%"></td>
		<td width="2%"></td>
		<td width="34%"></td>
	</tr>
	<tr>
		<td valign="top">
			<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td width="40%"></td>
				<td width="10%"></td>
				<td width="40%"></td>
				<td width="10%"></td>
			</tr>
			<tr>
				<td align="center" colspan="4" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white"><b>GEAR</b></font>
				</td>
			</tr>
			<tr>
				<td align="center" style="border-left: 2px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:7pt" color="black">ITEM</font>
				</td>
				<td align="center" style="border-right: 1px solid black; border-left: 1px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:7pt" color="black">WT.</font>
				</td>
				<td align="center" style="border-left: 1px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:7pt" color="black">ITEM</font>
				</td>
				<td align="center" style="border-right: 2px solid black; border-left: 1px solid black; border-bottom: 1px solid black">
					<font face="Verdana" style="font-size:7pt" color="black">WT.</font>
				</td>
			</tr>

			<xsl:call-template name="empty-or-item">
				<xsl:with-param name="count" select="40"/>
				<xsl:with-param name="row" select="1"/>
				<xsl:with-param name="max" select="40"/>
			</xsl:call-template>

			<tr>
				<td colspan="3" style="border-left: 2px solid black; border-top: 1px solid black" align="right">
					<font face="Verdana" style="font-size:8pt" color="black">
						TOTAL WEIGHT CARRIED
					</font>
				</td>
				<td align="center" style="border: 2px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:value-of select="load/carried"/> lb.<br/>
					</font>
				</td>
			</tr>

			<tr>
				<td align="center" colspan="4" bgcolor="black">
					<font face="Verdana" style="font-size:9pt" color="white"><b>MONEY</b></font>
				</td>
			</tr>
			</table>

			<xsl:call-template name="funds"/>
		
			<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
			<tr>
				<td width="60%"></td>
				<td width="40%"></td>
			</tr>

			<tr>
			<td>
				<xsl:call-template name="language-table">
				</xsl:call-template>
			</td>

			<td>
				<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
				<tr>
					<td width="5%"></td>
					<td width="29%"></td>
					<td width="4%"></td>
					<td width="29%"></td>
					<td width="4%"></td>
					<td width="29%"></td>
				</tr>
				<tr>
					<td><br/></td>
					<td align="center" style="border: 1pt solid black">
						<font face="Verdana" style="font-size:8pt">
							<xsl:value-of select="load/light"/>
						</font>
					</td>
					<td><br/></td>
					<td align="center" style="border: 1pt solid black">
						<font face="Verdana" style="font-size:8pt">
							<xsl:value-of select="load/medium"/>
						</font>
					</td>
					<td><br/></td>
					<td align="center" style="border: 1pt solid black">
						<font face="Verdana" style="font-size:8pt">
							<xsl:value-of select="load/heavy"/>
						</font>
					</td>
				</tr>
				<tr>
					<td><br/></td>
					<td valign="top" align="center">
						<font face="Verdana" style="font-size:6pt">
							<b>LIGHT LOAD</b>
						</font>
					</td>
					<td><br/></td>
					<td valign="top" align="center">
						<font face="Verdana" style="font-size:6pt">
							<b>MEDIUM LOAD</b>
						</font>
					</td>
					<td><br/></td>
					<td valign="top" align="center">
						<font face="Verdana" style="font-size:6pt">
							<b>HEAVY LOAD</b>
						</font>
					</td>
				</tr>
				</table>
			</td>
			</tr>
			</table>

		</td>

		<td><br/></td>
		<td valign="top">
			
			<xsl:call-template name="abilities-list"/>
			<br/>
			<xsl:call-template name="feat-list"/>
		</td>
	</tr>
	</table>



</xsl:template>


<xsl:template name="abilities-list">

	<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
	<tr>
		<td align="center" bgcolor="black">
			<font face="Verdana" style="font-size:9pt" color="white">
			<b>SPECIAL ABILITIES</b>
			</font>
		</td>
	</tr>

	<xsl:for-each select="features/special-attacks/special-attack">
		<tr>
			<td style="border: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
				<b>SA: </b><xsl:value-of select="."/><br/>
				</font>
			</td>
		</tr>
	</xsl:for-each>

	<xsl:for-each select="features/special-qualities/special-quality">
		<tr>
			<td style="border: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
				<b>SQ: </b><xsl:value-of select="."/><br/>
				</font>
			</td>
		</tr>
	</xsl:for-each>

	<xsl:for-each select="features/class-features">
		<xsl:for-each select="class-feature">
			<tr>
				<td style="border: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">
					<b><xsl:value-of select="name"/>:</b><br/>
					</font>
				</td>
			</tr>
			<xsl:for-each select="feature">
				<tr>
					<td style="border: 1pt solid black">
						<font face="Verdana" style="font-size:8pt" color="black">
						<xsl:text>  </xsl:text><xsl:value-of select="."/><br/>
						</font>
					</td>
				</tr>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:for-each>

	<xsl:for-each select="features/race-features/race-feature">
		<tr>
			<td style="border: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="."/><br/>
				</font>
			</td>
		</tr>
	</xsl:for-each>

	<xsl:for-each select="deity/domain">
		<xsl:if test="position() = 1">
			<tr>
				<td style="border: 1px solid black">
					<font face="Verdana" style="font-size:8pt" color="black">
					<b>Domain Power:</b><br/>
					</font>
				</td>
			</tr>
		</xsl:if>
		<tr>
			<td style="border: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="special-power"/><br/>
				</font>
			</td>
		</tr>
	</xsl:for-each>

	</table>
</xsl:template>

<xsl:template name="feat-list">

	<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
		<tr>
			<td align="center" bgcolor="black">
			<font face="Verdana" style="font-size:9pt" color="white">
			<b>FEATS</b>
			</font>
			</td>
		</tr>

		<xsl:apply-templates select="features/feats/feat">
		<xsl:sort select="string(name)"/>
		</xsl:apply-templates>

		<xsl:if test="count(features/feats/feat) &lt; 16">
			<xsl:call-template name="empty-feat">
				<xsl:with-param name="count" select="16 - count(features/feats/feat)"/>
			</xsl:call-template>
		</xsl:if>

	</table>

</xsl:template>



<xsl:template name="empty-or-item">
	<xsl:param name="count"/>
	<xsl:param name="row"/>
	<xsl:param name="max"/>
	<xsl:if test="$count != 0">
		<tr>
			<xsl:variable name="item1" select="items/item[position() = $row]"/>
			<td style="border-left: 2px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
					<xsl:if test="$item1/name != 0">
						<xsl:value-of select="$item1/type"/><xsl:text>: </xsl:text>
					</xsl:if>
					<xsl:value-of select="$item1/name"/><br/>
				</font>
			</td>
			<td align="center" style="border-right: 1px solid black; border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
					<xsl:if test="$item1/carried = 'false'">(</xsl:if>
					<xsl:value-of select="$item1/weight"/>
					<xsl:if test="$item1/carried = 'false'">)</xsl:if>
					<br/>
				</font>
			</td>

			<xsl:variable name="item2" select="items/item[position() = ($row + $max)]"/>
			<td style="border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
					<xsl:if test="$item2/name != 0">
						<xsl:value-of select="$item2/type"/><xsl:text>: </xsl:text>
					</xsl:if>
					<xsl:value-of select="$item2/name"/><br/>
				</font>
			</td>
			<td align="center" style="border-right: 2px solid black; border-left: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
					<xsl:if test="$item2/carried = 'false'">(</xsl:if>
					<xsl:value-of select="$item2/weight"/><br/>
					<xsl:if test="$item2/carried = 'false'">)</xsl:if>
				</font>
			</td>
		</tr>
		<xsl:call-template name="empty-or-item">
			<xsl:with-param name="count" select="$count - 1"/>
			<xsl:with-param name="row" select="$row + 1"/>
			<xsl:with-param name="max" select="$max"/>
		</xsl:call-template>
	</xsl:if>
</xsl:template>


<xsl:template match="feat">
	<tr>
		<td style="border: 1px solid black;">
			<font face="Verdana" style="font-size:8pt" color="black">
				<xsl:value-of select="name"/><br/>
			</font>
		</td>
	</tr>
</xsl:template>


<xsl:template name="empty-feat">
	<xsl:param name="count"/>

	<xsl:if test="$count != 0">
		<tr>
			<td style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
					<br/>
				</font>
			</td>
		</tr>
		<xsl:call-template name="empty-feat">
			<xsl:with-param name="count" select="$count - 1"/>
		</xsl:call-template>
	</xsl:if>
</xsl:template>

<xsl:template name="language-table">

	<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
	<tr>
		<td width="50%"></td>
		<td width="50%"></td>
	</tr>
	<tr>
		<td colspan="2" align="center" bgcolor="black">
		<font face="Verdana" style="font-size:9pt" color="white">
		<b>LANGUAGES</b>
		</font>
	</td>
	</tr>
	<xsl:call-template name="empty-or-language">
		<xsl:with-param name="count" select="5"/>
		<xsl:with-param name="row" select="1"/>
		</xsl:call-template>
	</table>

</xsl:template>

<xsl:template name="empty-or-language">
	<xsl:param name="count"/>
	<xsl:param name="row"/>
	<xsl:param name="max"/>
	<xsl:if test="$count != 0">
		<tr>
			<td style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
					<xsl:value-of select="languages/language[position() = $row]"/><br/>
				</font>
			</td>
			<td style="border-right: 1px solid black; border-bottom: 1px solid black">
				<font face="Verdana" style="font-size:8pt" color="black">
					<xsl:value-of select="languages/language[position() = ($row + $max)]"/><br/>
				</font>
			</td>
		</tr>
		<xsl:call-template name="empty-or-language">
			<xsl:with-param name="count" select="$count - 1"/>
			<xsl:with-param name="row" select="$row + 1"/>
			<xsl:with-param name="max" select="$max"/>
		</xsl:call-template>
	</xsl:if>
</xsl:template>


<xsl:template match="attacks/base">
	<table align="center" width="96%">
		<tr>
			<td width="60%" align="center" bgcolor="black">
				<font face="Verdana" style="font-size:9pt" color="white">
					<b>BASE ATTACK</b>
				</font>
				<font face="Verdana" style="font-size:5pt" color="white">
					<br/>BONUS
				</font>
			</td>

			<td width="40%" align="center" style="border: 1px solid black">
				<font face="Verdana" style="font-size: 9pt">
					<xsl:variable name="attackbonus" select="."/>
				<xsl:variable name="attackbonus2" select="substring($attackbonus,2) - 5"/>
				<xsl:variable name="attackbonus3" select="substring($attackbonus,2) - 10"/>
				<xsl:variable name="attackbonus4" select="substring($attackbonus,2) - 15"/>
					<b><xsl:value-of select="$attackbonus"/></b>
					<xsl:if test="$attackbonus2 > 0">
						<b>/+<xsl:value-of select="$attackbonus2"/></b>
					</xsl:if>
					<xsl:if test="$attackbonus3 > 0">
						<b>/+<xsl:value-of select="$attackbonus3"/></b>
					</xsl:if>
					<xsl:if test="$attackbonus4 > 0">
						<b>/+<xsl:value-of select="$attackbonus4"/></b>
					</xsl:if>
					
				</font>
			</td>
		</tr>
	</table>
</xsl:template>



<xsl:template name="page-header">
<xsl:param name="heading"> </xsl:param>

	<table align="top" border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="white">
	<tr>
		<td width="20%" align="left" bgcolor="black">
			<font face="Verdana" style="font-size:9pt" color="white">
			<b><xsl:value-of select="/character/name"/></b>
			</font>
		</td>
		<td width="60%" align="center" bgcolor="black">
			<font face="Verdana" style="font-size:9pt" color="white">
			<b><xsl:value-of select="$heading"/></b>
			</font>
		</td>
		<td width="20%" align="center" bgcolor="black">
			<br/>
		</td>
	</tr>
	</table>

	<br/>

</xsl:template>







</xsl:stylesheet>

