<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">	
	<xsl:output method="text" indent="no" encoding="us-ascii"/>	
<xsl:preserve-space elements="*"/>
<xsl:template match="/monster">		
<!-- Race name -->
<xsl:value-of select="race"/>
<!-- Race size -->
<xsl:text>@SIZE:</xsl:text>
<xsl:choose>
<xsl:when test = "size/category = 'Fine'">
<xsl:text>F</xsl:text>
</xsl:when>
<xsl:when test = "size/category = 'Diminutive'">
<xsl:text>D</xsl:text>
</xsl:when>
<xsl:when test = "size/category = 'Tiny'">
<xsl:text>T</xsl:text>
</xsl:when>
<xsl:when test = "size/category = 'Small'">
<xsl:text>S</xsl:text>
</xsl:when>
<xsl:when test = "size/category = 'Medium'">
<xsl:text>M</xsl:text>
</xsl:when>
<xsl:when test = "size/category = 'Large'">
<xsl:text>L</xsl:text>
</xsl:when>
<xsl:when test = "size/category = 'Huge'">
<xsl:text>H</xsl:text>
</xsl:when>
<xsl:when test = "size/category = 'Gargantuan'">
<xsl:text>G</xsl:text>
</xsl:when>
<xsl:when test = "size/category = 'Colossal'">
<xsl:text>C</xsl:text>
</xsl:when>
</xsl:choose>
<!-- Race movement -->
<xsl:text>@MOVE:</xsl:text>
<xsl:for-each select = "speeds/speed">
<xsl:choose>
<xsl:when test = "name = 'Base'">
<xsl:text>Walk,</xsl:text>
<xsl:value-of select="value"/>
<xsl:if test = "position() != last()">
<xsl:text>,</xsl:text>
</xsl:if>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="name"/>
<xsl:text>,</xsl:text>
<xsl:value-of select="value"/>
<xsl:if test = "position() != last()">
<xsl:text>,</xsl:text>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
<!-- Race face -->
<!-- Race reach -->
<xsl:text>@REACH:</xsl:text>
<xsl:value-of select="size/reach"/>
<!-- Race vision -->
<xsl:text>@VISION:</xsl:text>
<!-- Alignment -->
<xsl:if test="race-info/alignment/modifier = 'Always'">
<xsl:text>@PREALIGN:</xsl:text>
<xsl:choose>
<xsl:when test="race-info/alignment/alignment = 'Lawful Good'">
<xsl:text>0</xsl:text>
</xsl:when>
<xsl:when test="race-info/alignment/alignment = 'Lawful Neutral'">
<xsl:text>1</xsl:text>
</xsl:when>
<xsl:when test="race-info/alignment/alignment = 'Lawful Evil'">
<xsl:text>2</xsl:text>
</xsl:when>
<xsl:when test="race-info/alignment/alignment = 'Neutral Good'">
<xsl:text>3</xsl:text>
</xsl:when>
<xsl:when test="race-info/alignment/alignment = 'Neutral'">
<xsl:text>4</xsl:text>
</xsl:when>
<xsl:when test="race-info/alignment/alignment = 'Neutral Evil'">
<xsl:text>5</xsl:text>
</xsl:when>
<xsl:when test="race-info/alignment/alignment = 'Chaotic Good'">
<xsl:text>6</xsl:text>
</xsl:when>
<xsl:when test="race-info/alignment/alignment = 'Chaotic Neutral'">
<xsl:text>7</xsl:text>
</xsl:when>
<xsl:when test="race-info/alignment/alignment = 'Chaotic Evil'">
<xsl:text>8</xsl:text>
</xsl:when>
</xsl:choose>
</xsl:if>
<!-- Languages -->
<xsl:if test="race-info/automatic-language">
<xsl:text>@LANGAUTO:</xsl:text>
<xsl:for-each select="race-info/automatic-language/language">
<xsl:value-of select="."/>
<xsl:if test = "position() != last()">
<xsl:text>,</xsl:text>
</xsl:if>
</xsl:for-each>
</xsl:if>
<xsl:if test="race-info/bonus-language">
<xsl:text>@LANGBONUS:</xsl:text>
<xsl:for-each select="race-info/bonus-language/language">
<xsl:value-of select="."/>
<xsl:if test = "position() != last()">
<xsl:text>,</xsl:text>
</xsl:if>
</xsl:for-each>
</xsl:if>
<!-- Saving Throws -->
<xsl:if test="saving-throws/saving-throw[name='Fortitude']/modifiers/modifier[@name='base']/@value != '0'">
<xsl:text>@BONUS:CHECKS|BASE.Fortitude|</xsl:text>
<xsl:value-of select="saving-throws/saving-throw[name='Fortitude']/modifiers/modifier[@name='base']/@value"/>
<xsl:text>|PREDEFAULTMONSTER:Y</xsl:text>
</xsl:if>
<xsl:if test="saving-throws/saving-throw[name='Reflex']/modifiers/modifier[@name='base']/@value != '0'">
<xsl:text>@BONUS:CHECKS|BASE.Reflex|</xsl:text>
<xsl:value-of select="saving-throws/saving-throw[name='Reflex']/modifiers/modifier[@name='base']/@value"/>
<xsl:text>|PREDEFAULTMONSTER:Y</xsl:text>
</xsl:if>
<xsl:if test="saving-throws/saving-throw[name='Will']/modifiers/modifier[@name='base']/@value != '0'">
<xsl:text>@BONUS:CHECKS|BASE.Willpower|</xsl:text>
<xsl:value-of select="saving-throws/saving-throw[name='Will']/modifiers/modifier[@name='base']/@value"/>
<xsl:text>|PREDEFAULTMONSTER:Y</xsl:text>
</xsl:if>
<!-- AC Adjustments -->
<xsl:if test="armor-class/modifiers/modifier[@name='natural']/@value != '0'">
<xsl:text>@BONUS:COMBAT|AC|</xsl:text>
<xsl:value-of select="armor-class/modifiers/modifier[@name='natural']/@value"/>
<xsl:text>|TYPE=NaturalArmor.REPLACE</xsl:text>
</xsl:if>
<xsl:if test="armor-class/modifiers/modifier[@name='class']/@value != '0'">
<xsl:text>@BONUS:COMBAT|AC|</xsl:text>
<xsl:value-of select="armor-class/modifiers/modifier[@name='class']/@value"/>
<xsl:text>|TYPE=Deflection</xsl:text>
</xsl:if>
<!-- BAB Adjustments -->
<xsl:if test="attacks/melee/modifiers/modifier[@name='base']/@value != '0'">
<xsl:text>@BONUS:COMBAT|BAB|</xsl:text>
<xsl:value-of select="attacks/melee/modifiers/modifier[@name='base']/@value"/>
<xsl:text>|PREDEFAULTMONSTER:Y|TYPE=Base.REPLACE</xsl:text>
</xsl:if>
<!-- Racial Skill bonuses -->
<xsl:for-each select="skills/skill">
<xsl:if test="modifiers/modifier[@name='race']">
<xsl:text>@BONUS:SKILL|</xsl:text>
<xsl:value-of select="name"/>
<xsl:text>|</xsl:text>
<xsl:value-of select="modifiers/modifier[@name='race']/@value"/>
<xsl:text>|TYPE=Racial</xsl:text>
</xsl:if>
</xsl:for-each>
<!-- Racial Skill ranks -->
<xsl:for-each select="skills/skill">
<xsl:if test="modifiers/modifier[@name='rank']/@value != '0'">
<xsl:text>@BONUS:SKILLRANK|</xsl:text>
<xsl:value-of select="name"/>
<xsl:text>|</xsl:text>
<xsl:value-of select="modifiers/modifier[@name='rank']/@value"/>
<xsl:text>|PREDEFAULTMONSTER:Y</xsl:text>
</xsl:if>
</xsl:for-each>
<!-- Stats -->
<xsl:for-each select="abilities/ability">
<xsl:variable name = "difference" select = "base - 10" />
<xsl:choose>
<xsl:when test="$difference mod 2 = 0">
<xsl:if test="$difference != '0'">
<xsl:text>@BONUS:STAT|</xsl:text>
<xsl:value-of select="abbr"/>
<xsl:text>|</xsl:text>
<xsl:value-of select="$difference"/>
</xsl:if>
</xsl:when>
<xsl:when test="$difference mod 2 != 0 and $difference != '-9'">
<xsl:if test="$difference - 1 != '0'">
<xsl:text>@BONUS:STAT|</xsl:text>
<xsl:value-of select="abbr"/>
<xsl:text>|</xsl:text>
<xsl:value-of select="$difference - 1"/>
</xsl:if>
<xsl:text>@BONUS:STAT|</xsl:text>
<xsl:value-of select="abbr"/>
<xsl:text>|1|PREDEFAULTMONSTERL:Y</xsl:text>
</xsl:when>
<xsl:otherwise>
<xsl:text>@BONUS:STAT|</xsl:text>
<xsl:value-of select="abbr"/>
<xsl:text>|</xsl:text>
<xsl:value-of select="$difference"/>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
<!-- racial class skills -->
<xsl:text>@MONCSKILL:</xsl:text>
<xsl:for-each select="skills/skill[modifiers/modifier[@name='rank']/@value != '0']">
<xsl:value-of select="name"/>
<xsl:if test = "position() != last()">
<xsl:text>|</xsl:text>
</xsl:if>
</xsl:for-each>
<!-- racial feats -->
<xsl:if test="features/feats">
<xsl:text>@MFEAT:</xsl:text>
<xsl:for-each select="features/feats/feat">
<xsl:value-of select="name"/>
<xsl:if test = "position() != last()">
<xsl:text>|</xsl:text>
</xsl:if>
</xsl:for-each>
</xsl:if>
<!-- Natural Attacks -->
<xsl:text>@NATURALATTACKS:</xsl:text>
<xsl:for-each select="equiped-items/weapons/weapon">
<xsl:value-of select="name"/>
<xsl:text>,Weapon.Natural.</xsl:text>
<xsl:value-of select="type"/>
<xsl:text>,*1,</xsl:text>
<xsl:value-of select="substring-before(damage,'+')"/>
<xsl:if test = "position() != last()">
<xsl:text>,</xsl:text>
</xsl:if>
</xsl:for-each>
<!-- Special Abilities -->
<xsl:for-each select="features/special-attacks/special-attack[name != 'Spell-like abilities' and name != 'Spells']">
<xsl:text>@SA:</xsl:text>
<xsl:value-of select="."/>
</xsl:for-each>
<xsl:for-each select="features/special-qualities/special-quality">
<xsl:variable name="SpecQual" select="."/>
<xsl:choose>
<xsl:when test="contains($SpecQual,'Damage Reduction') or contains($SpecQual,'Spell Resistance')">
</xsl:when>
<xsl:otherwise>
<xsl:text>@SA:</xsl:text>
<xsl:value-of select="."/>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
<!-- Hitdice -->
<xsl:text>@HITDICE:</xsl:text>
<xsl:value-of select="substring-before(hit-dice/hit-die/die,'d')"/>
<xsl:text>,</xsl:text>
<xsl:value-of select="substring-after(hit-dice/hit-die/die,'d')"/>
<!-- SR & DR -->
<xsl:for-each select="features/special-qualities/special-quality">
<xsl:variable name="SpecQual" select="."/>
<xsl:choose>
<xsl:when test="contains($SpecQual,'Damage Reduction')">
<xsl:text>@DR:</xsl:text>
<xsl:value-of select="substring-after($SpecQual,'): ')"/>
</xsl:when>
<xsl:when test="contains($SpecQual,'Spell Resistance')">
<xsl:text>@SR:</xsl:text>
<xsl:value-of select="substring-after($SpecQual,'): ')"/>
</xsl:when>
</xsl:choose>
</xsl:for-each>
<!-- Skillmult -->
<xsl:text>@SKILLMULT:1</xsl:text>
<!-- Monsterclass -->
<xsl:text>MONSTERCLASS:</xsl:text>
<xsl:value-of select="classes/class/name"/>
<xsl:text>:</xsl:text>
<xsl:value-of select="classes/class/level"/>
<!-- type -->
<xsl:text>@TYPE:</xsl:text>
<xsl:value-of select="classes/class/name"/>
<!-- Template -->
<xsl:text>@TEMPLATE:</xsl:text>
<xsl:value-of select="classes/class/name"/>
<!-- Hit Die Advancement -->
<xsl:text>@HITDICEADVANCEMENT:</xsl:text>
<xsl:for-each select="race-info/advancement/advance">
<xsl:value-of select="max"/>
<xsl:if test = "position() != last()">
<xsl:text>,</xsl:text>
</xsl:if>
</xsl:for-each>
<!-- CR -->
<xsl:text>@CR:</xsl:text>
<xsl:value-of select="challenge-rating"/>
<!-- Sourcepage -->
<xsl:text>@SOURCEPAGE:</xsl:text>
<!-- Innate Spells -->
<xsl:if test="features/special-attacks/special-attack[name = 'Spell-like abilities']">
<xsl:text>@SPELL:</xsl:text>
<xsl:for-each select="features/special-attacks/special-attack[name = 'Spell-like abilities']/spell">
<xsl:value-of select="name"/>
<xsl:text>|</xsl:text>
<xsl:choose>
<xsl:when test="times-per-day = 'At Will'">
<xsl:text>-1|Innate</xsl:text>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="times-per-day"/>
<xsl:text>|Innate</xsl:text>
</xsl:otherwise>
</xsl:choose>
<xsl:if test = "position() != last()">
<xsl:text>|</xsl:text>
</xsl:if>
</xsl:for-each>
</xsl:if>

</xsl:template>
</xsl:stylesheet>
