<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="no" encoding="UTF-8"/>

<xsl:template match="skills">
	<xsl:for-each select="skill[modifiers/modifier[@name = 'rank' or @name = 'race' or @name = 'magic' or @name = 'feat' or @name = 'other']/@value &gt; 0]">
		<xsl:sort select="string(.)"/>
		<xsl:if test="position() = 1">
			<br/><b>Skills: </b>
		</xsl:if>
		<xsl:value-of select="name"/><xsl:text> </xsl:text>
		<xsl:if test="sum(modifiers/modifier[@name != 'misc']/@value) >= 0">
			<xsl:text>+</xsl:text>
		</xsl:if>
		<xsl:value-of select="sum(modifiers/modifier[@name != 'misc']/@value)"/>
		<xsl:choose>
		<xsl:when test="position() = last()">
			<xsl:text>. </xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>, </xsl:text>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:for-each>
	<br/>
</xsl:template>

</xsl:stylesheet>
