<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="no" encoding="UTF-8"/>

<xsl:template match="spells-prepared">
	<xsl:for-each select="class">
		<b>
		<xsl:if test="position() = 1">
			Spells Prepared<xsl:text> </xsl:text>
		</xsl:if>
		<xsl:value-of select="name"/>:<xsl:text> </xsl:text>
		</b>

		<xsl:call-template name="spells-known-prepared">
			<xsl:with-param name="level" select="0"/>
		</xsl:call-template>
		<xsl:call-template name="spells-known-prepared">
			<xsl:with-param name="level" select="1"/>
		</xsl:call-template>
		<xsl:call-template name="spells-known-prepared">
			<xsl:with-param name="level" select="2"/>
		</xsl:call-template>
		<xsl:call-template name="spells-known-prepared">
			<xsl:with-param name="level" select="3"/>
		</xsl:call-template>
		<xsl:call-template name="spells-known-prepared">
			<xsl:with-param name="level" select="4"/>
		</xsl:call-template>
		<xsl:call-template name="spells-known-prepared">
			<xsl:with-param name="level" select="5"/>
		</xsl:call-template>
		<xsl:call-template name="spells-known-level">
			<xsl:with-param name="level" select="6"/>
		</xsl:call-template>
		<xsl:call-template name="spells-known-prepared">
			<xsl:with-param name="level" select="7"/>
		</xsl:call-template>
		<xsl:call-template name="spells-known-prepared">
			<xsl:with-param name="level" select="8"/>
		</xsl:call-template>
		<xsl:call-template name="spells-known-prepared">
			<xsl:with-param name="level" select="9"/>
		</xsl:call-template>
		<xsl:text>.</xsl:text><br/>

	</xsl:for-each>
</xsl:template>


<xsl:template name="spells-known-prepared">
	<xsl:param name="level"/>

	<xsl:if test="count(spell[level = $level]) > 0">
		<xsl:if test="count(spell[level = string(number(($level) - 1))]) > 0">
			<xsl:text>; </xsl:text>
		</xsl:if>
		<xsl:choose>
		<xsl:when test="$level = 0">
			<xsl:text>0 - </xsl:text>
		</xsl:when>
		<xsl:when test="$level = 1">
			<xsl:text>1st - </xsl:text>
		</xsl:when>
		<xsl:when test="$level = 2">
			<xsl:text>2nd - </xsl:text>
		</xsl:when>
		<xsl:when test="$level = 3">
			<xsl:text>3rd - </xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$level"/><xsl:text>th - </xsl:text>
		</xsl:otherwise>
		</xsl:choose>

		<xsl:for-each select="spell[level = $level]">
			<xsl:sort select="string(.)"/>
			<i><xsl:value-of select="name"/><xsl:apply-templates select="count"/></i>
			<xsl:choose>
			<xsl:when test="position() != last()">
				<xsl:text>, </xsl:text>
			</xsl:when>
			</xsl:choose>
		</xsl:for-each>
	</xsl:if>
</xsl:template>


<xsl:template match="count">
	<xsl:if test=". &gt; 1">
		<xsl:text> x</xsl:text><xsl:value-of select="."/>
	</xsl:if>
</xsl:template>

</xsl:stylesheet>


