<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="Items.xsl"/>
<xsl:output method="html" indent="no" encoding="UTF-8"/>

<xsl:template match="treasure">
	<xsl:value-of select="notes"/>

	<xsl:apply-templates select="items"/>

	<xsl:if test="currency != 0">
		<br/><b>Currency:</b><xsl:text> </xsl:text>
		<xsl:if test="currency/pp > 0">
			<xsl:value-of select="currency/pp"/><xsl:text> pp</xsl:text>
		</xsl:if>
		<xsl:if test="currency/gp > 0">
			<xsl:if test="currency/pp > 0">
				<xsl:text>, </xsl:text>
			</xsl:if>
			<xsl:value-of select="currency/gp"/><xsl:text> gp</xsl:text>
		</xsl:if>
		<xsl:if test="currency/sp > 0">
			<xsl:if test="currency/pp > 0 or currency/gp > 0">
				<xsl:text>, </xsl:text>
			</xsl:if>
			<xsl:value-of select="currency/sp"/><xsl:text> sp</xsl:text>
		</xsl:if>
		<xsl:if test="currency/cp > 0">
			<xsl:if test="currency/pp > 0 or currency/gp > 0 or currency/sp > 0">
				<xsl:text>, </xsl:text>
			</xsl:if>
			<xsl:value-of select="currency/cp"/><xsl:text> cp</xsl:text>
		</xsl:if>
		<xsl:text>.</xsl:text>
	</xsl:if>
</xsl:template>

</xsl:stylesheet>


